Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.common
Interface Inventory

All Known Implementing Classes:
  InventoryImpl

public interface Inventory
extends java.io.Serializable

This class represents a product as part of an inventory.

Field Summary
`static int` | `STD_IMAGE` This constant is with the imageUrl() method to obtain the standard image for this inventory item.
`static int` | `WIDE_IMAGE` This constant is with the imageUrl() method to obtain the wide image for this inventory item.

Method Summary
`long` | `available()` Returns the current available quantity of inventory for this item.
`java.lang.String` | `description()` Returns a description for the inventory object.
`java.lang.String` | `id()` Returns the identifier for the inventory object.
`java.lang.String` | `imageURL(int image)` Returns the URL to an image for the product.
`boolean` | `isBelowMinimum()` Returns true if the available stock is less than the minimum requirement for the product.
`long` | `max()` Returns the maximum quantity of inventory that should be maintained in stock for this item.
`long` | `min()` Returns the minimum quantity of inventory that should be maintained in stock for this item.
`long` | `qtyBelowMinimum()` Returns the quantity required to bring the available stock to the minimum specifed for the product.

Field Detail

### STD_IMAGE

    public static final int STD_IMAGE

  This constant is with the imageUrl() method to obtain the standard image for this inventory item.

### WIDE_IMAGE

    public static final int WIDE_IMAGE

  This constant is with the imageUrl() method to obtain the wide image for this inventory item.

Method Detail

### id

    public java.lang.String id()

  Returns the identifier for the inventory object.

### description

    public java.lang.String description()

  Returns a description for the inventory object.

### min

    public long min()

  Returns the minimum quantity of inventory that should be maintained in stock for this item.

### max

    public long max()

  Returns the maximum quantity of inventory that should be maintained in stock for this item.

### available

    public long available()

  Returns the current available quantity of inventory for this item.

### imageURL

    public java.lang.String imageURL(int image)

  Returns the URL to an image for the product.

### isBelowMinimum

    public boolean isBelowMinimum()

  Returns true if the available stock is less than the minimum requirement for the product.

### qtyBelowMinimum

    public long qtyBelowMinimum()

  Returns the quantity required to bring the available stock to the minimum specifed for the product. Returns zero if available >= minimum.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved